Name:          python-bcrypt
Summary:       Good password hashing for your software and your servers
Version:       3.2.0
Release:       1
License:       ASL 2.0 and Public Domain and BSD
URL:           http://pypi.python.org/pypi/bcrypt
Source0:       https://files.pythonhosted.org/packages/source/b/bcrypt/bcrypt-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: python3-devel python3-setuptools python3-cffi python3-six python3-pytest

%description
Good password hashing for your software and your servers.
This library should be compatible with py-bcrypt and it will run on Python 2.7, 3.4+, and PyPy 2.6+.

%package       -n python3-bcrypt
Summary:       Good password hashing for your software and your servers
Requires:      python3-six python3-cffi
Conflicts:     python3-py-bcritp
Provides:      python3-py-bcrypt = 0.4-11
Obsoletes:     python3-py-bcrypt < 0.4-11
%{?python_provide:%python_provide python3-bcrypt}

%description   -n python3-bcrypt
Good password hashing for your software and your servers.
This library should be compatible with py-bcrypt and it will run on Python 3.4+ and PyPy 2.6+.

%prep
%autosetup -n bcrypt-%{version}

%build
%py3_build

%install
%py3_install

#find %{buildroot}%{python2_sitearch} -name '*.so' -exec chmod 755 {} ';'

#find %{buildroot}%{python3_sitearch} -name '*.so' -exec chmod 755 {} ';'

%check
%{__python3} setup.py test

%files        -n python3-bcrypt
%doc README.rst
%license LICENSE
%{python3_sitearch}/bcrypt/
%{python3_sitearch}/bcrypt-%{version}*


%changelog
* Sat Jan 30 2021 shixuantong <shixuantong@huawei.com> - 3.2.0-1
- upgrade version to 3.2.0 and remove python2-bcrypt

* Fri Aug 21 2020 fanjiachen <fanjiachen3@huawei.com> - 3.1.4-8
- Type:rebuild
- ID:NA
- SUG:NA
- DESC:rebuild for requirement package update

* Wed Nov 13 2019 Lijin Yang <yanglijin@huawei.com> - 3.1.4-7
- init package
